import React from 'react';
import { Radio, Select, Input  } from 'antd';
// import { $Axios } from '../../common/publish';
import '../center-o/centerO.scss'

export default class centerO extends React.Component {
    constructor(props) {
        super(props)
        this.state = {
            contract : [
                // { txt : '请选择商户签约性质', value : 0 },
                { txt : '个体工商户',value : 1 },
                { txt : '事业单位',value : 2 },
                { txt : '民办非企业组织',value : 3 },
                { txt : '社会团体',value : 4 },
                { txt : '非法人企业',value : 5 },
                { txt : '自然人',value : 6 },
                { txt : '政府机关',value : 7 },
                { txt : '其他',value : 8 },
            ],
            certificate : [
                { txt : '统一社会信用代码证',value : 1 },
                { txt : '民办非企业单位登记证书',value : 2 },
                { txt : '个体工商户营业执照',value : 3 },
                { txt : '社会团体法人登记证书',value : 4 },
                { txt : '事业单位法人证书',value : 5 },
                { txt : '基金法人登记证书',value : 6 },
                { txt : '营业执照',value : 7 },
                { txt : '其他',value : 8 },
            ]
        }
        
    }
	
	componentDidMount() {
        
    }

    handleChange(value) {
        console.log(`Selected: ${value}`);
    }


    render() {
        const { contract, certificate } = this.state;
        const { Option } = Select;
        const { TextArea } = Input;
        return(
            <div className='center_up'>
                <div className='center_left'>
                    <div className='c-l'>
                        <div className='titles'> 商户入网类型<i className='label_x'>*</i> ： </div>
                        <Radio.Group name="radiogroup" defaultValue={1}>
                                            <Radio value={1}>被分帐方</Radio>
                                        </Radio.Group>
                    </div>
                    <div className='c-l'>
                        <div className='titles'> 商户签约性质 ： </div>
                        <Select size='default' placeholder="请选择商户签约性质"  onChange={ this.handleChange } style={{ width: 200 }}>
                                            {contract.map((item,index) => (
                                                <Option key={index} value={item.value}>{item.txt}</Option>
                                            ))}
                                        </Select>
                    </div>
                    <div className='c-l'>
                        <div className='titles'> 证书类型 ： </div>
                        <Select size='default' placeholder="请选择证书类型"  onChange={ this.handleChange } style={{ width: 200 }}>
                                            {certificate.map((item,index) => (
                                                <Option key={index} value={item.value}>{item.txt}</Option>
                                            ))}
                                        </Select>
                    </div>
                    <div className='c-l'>
                        <div className='titles'> 商户简称 ： </div>
                        <div className='inputs'><Input placeholder="请输入商户简称" /></div>
                    </div>
                    <div className='c-l'>
                        <div className='titles'> 联系人姓名 ： </div>
                        <div className='inputs'><Input placeholder="请输入联系人姓名" /></div>
                    </div>
                    <div className='c-l'>
                        <div className='titles'> 联系人邮箱 ： </div>
                        <div className='inputs'><Input placeholder="请输入联系人邮箱" /></div>
                    </div>
                    <div className='c-l'>
                        <div className='titles'> 联系人电话 ： </div>
                        <div className='inputs'><Input placeholder="请输入联系人电话" /></div>
                    </div>
                </div>
                <div className='center_right'>
                    <div className='c-l'>
                        <div className='titles_o'> 经营地址省 ： </div>
                            <Select size='default' placeholder="请选择省份"  onChange={ this.handleChange } style={{ width: 200 }}>
                                {certificate.map((item,index) => (
                                    <Option key={index} value={item.value}>{item.txt}</Option>
                                ))}
                            </Select>
                    </div>
                    <div className='c-l'>
                        <div className='titles_o'> 经营地址市 ： </div>
                            <Select size='default' placeholder="请选择市"  onChange={ this.handleChange } style={{ width: 200 }}>
                                {certificate.map((item,index) => (
                                    <Option key={index} value={item.value}>{item.txt}</Option>
                                ))}
                            </Select>
                    </div>
                    <div className='c-l'>
                        <div className='titles_o'> 经营地址区 ： </div>
                            <Select size='default' placeholder="请选择区"  onChange={ this.handleChange } style={{ width: 200 }}>
                                {certificate.map((item,index) => (
                                    <Option key={index} value={item.value}>{item.txt}</Option>
                                ))}
                            </Select>
                    </div>
                    <div className='c-x'>
                        <div className='titles_txt'> 经营地址 ： </div>
                        <div className='TextAreas'>
                            <TextArea style={{resize:'none'}} rows={6} />
                        </div>
                    </div>
                    <div className='c-l'>
                        <div className='titles_o'> 业务类型 ： </div>
                            <Select size='default' placeholder="请选择业务类型"  onChange={ this.handleChange } style={{ width: 200 }}>
                                {certificate.map((item,index) => (
                                    <Option key={index} value={item.value}>{item.txt}</Option>
                                ))}
                            </Select>
                    </div>
                    <div className='c-l'>
                        <div className='titles_o'> 开户意愿核实类型 ： </div>
                        <Radio.Group name="radiogroup" defaultValue={1}>
                                            <Radio value={1}>视频验证</Radio>
                                            <Radio value={1}>手机短信验证</Radio>
                                            <Radio value={1}>其他验证方式</Radio>
                                        </Radio.Group>
                    </div>
                </div>
            </div>
        )
    }
}