import React from 'react';
import { Radio, Select, Input  } from 'antd';
// import { $Axios } from '../../common/publish';
import '../center-s/centerS.scss'

export default class centerS extends React.Component {
    constructor(props) {
        super(props)
        this.state = {
            contract : [
                // { txt : '请选择商户签约性质', value : 0 },
                { txt : '个体工商户',value : 1 },
                { txt : '事业单位',value : 2 },
                { txt : '民办非企业组织',value : 3 },
                { txt : '社会团体',value : 4 },
                { txt : '非法人企业',value : 5 },
                { txt : '自然人',value : 6 },
                { txt : '政府机关',value : 7 },
                { txt : '其他',value : 8 },
            ],
            certificate : [
                { txt : '统一社会信用代码证',value : 1 },
                { txt : '民办非企业单位登记证书',value : 2 },
                { txt : '个体工商户营业执照',value : 3 },
                { txt : '社会团体法人登记证书',value : 4 },
                { txt : '事业单位法人证书',value : 5 },
                { txt : '基金法人登记证书',value : 6 },
                { txt : '营业执照',value : 7 },
                { txt : '其他',value : 8 },
            ]
        }
        
    }
	
	componentDidMount() {
        
    }

    handleChange(value) {
        console.log(`Selected: ${value}`);
    }


    render() {
        const { contract, certificate } = this.state;
        const { Option } = Select;
        const { TextArea } = Input;
        return(
            <div className='center_up'>
                <div className='center_left'>
                    <div className='c-l'>
                        <div className='titles'> 开户行 ： </div>
                        <Select size='default' placeholder="请选择开户行"  onChange={ this.handleChange } style={{ width: 200 }}>
                                            {contract.map((item,index) => (
                                                <Option key={index} value={item.value}>{item.txt}</Option>
                                            ))}
                                        </Select>
                    </div>
                    <div className='c-l'>
                        <div className='titles'> 支行名称 ： </div>
                        <Select size='default' placeholder="请选择支行"  onChange={ this.handleChange } style={{ width: 200 }}>
                                            {certificate.map((item,index) => (
                                                <Option key={index} value={item.value}>{item.txt}</Option>
                                            ))}
                                        </Select>
                    </div>
                    <div className='c-l'>
                        <div className='titles'> 开户名称 ： </div>
                        <div className='inputs'><Input placeholder="请输入开户名称" /></div>
                    </div>
                    <div className='c-l'>
                        <div className='titles'> 开户账号 ： </div>
                        <div className='inputs'><Input placeholder="请输入开户账号" /></div>
                    </div>
                    <div className='c-l'>
                        <div className='titles'> 市编码 ： </div>
                        <Select size='default' placeholder="请选择市编码"  onChange={ this.handleChange } style={{ width: 200 }}>
                                            {certificate.map((item,index) => (
                                                <Option key={index} value={item.value}>{item.txt}</Option>
                                            ))}
                                        </Select>
                    </div>
                    <div className='c-l'>
                        <div className='titles'> 省编码 ： </div>
                        <Select size='default' placeholder="请选择省编码"  onChange={ this.handleChange } style={{ width: 200 }}>
                                            {certificate.map((item,index) => (
                                                <Option key={index} value={item.value}>{item.txt}</Option>
                                            ))}
                                        </Select>
                    </div>
                    <div className='c-l'>
                        <div className='titles'> 结算银行卡属性 ： </div>
                        <Radio.Group name="radiogroup" defaultValue={1}>
                                            <Radio value={1}>对公</Radio>
                                            <Radio value={2}>对私</Radio>
                                        </Radio.Group>
                    </div>
                    <div className='c-l'>
                        <div className='titles'> 清算方式 ： </div>
                        <Radio.Group name="radiogroup" defaultValue={1}>
                                            <Radio value={1}>提现</Radio>
                                        </Radio.Group>
                    </div>
                    <div className='c-l'>
                        <div className='titles'> 提现费率类型 ： </div>
                        <Select size='default' placeholder="请选择提现费率类型"  onChange={ this.handleChange } style={{ width: 200 }}>
                                            {certificate.map((item,index) => (
                                                <Option key={index} value={item.value}>{item.txt}</Option>
                                            ))}
                                        </Select>
                    </div>
                    <div className='c-l'>
                        <div className='titles'> 提现费率 ： </div>
                        <div className='inputs'><Input placeholder="请输入提现费率" /></div>
                    </div>
                </div>
                <div className='center_right'> </div>
            </div>
        )
    }
}