import React from 'react';
import { Button, Table } from 'antd';
import { $Axios } from '../../common/publish';
import '../center-tab/center-tab.scss'
const { Column, ColumnGroup } = Table;
export default class centerTab extends React.Component {
    constructor(props) {
        super(props)
        this.state = {
            headTxt : '商户入网 > 商户入网列表',
            data : [
                {
                  key: '1',
                  name: 'John Brown',
                  age: 32,
                  address: 'New York No. 1 Lake Park',
                },
                {
                  key: '2',
                  name: 'Jim Green',
                  age: 42,
                  address: 'London No. 1 Lake Park',
                },
                {
                  key: '3',
                  name: 'Joe Black',
                  age: 32,
                  address: 'Sidney No. 1 Lake Park',
                },
              ],
              columns : [
                {
                    title: '序号',
                    dataIndex: 'name',
                    key: 'name',
                    
                },
                {
                    title: '签约名称',
                    dataIndex: 'age',
                    key: 'age',
                },
                {
                    title: '商户简称',
                    dataIndex: 'age',
                    key: 'age',
                },
                {
                    title: '入网时间',
                    dataIndex: 'age',
                    key: 'age',
                },
                {
                    title: '操作',
                    dataIndex: 'age',
                    key: 'age',
                    render: text => <a>查看详情</a>,
                },
            ]
        }
        
    }
	
	componentDidMount() {
        
    }


        // let params = {
        //     token : localStorage.getItem('token'),
        //     config_code : 'titleList',
        //     system_code : "COMBINE",
        // }
        // $Axios('post','http://user_api.airqualitychina.cn:7070/auth/getConfigList',params,(res) => {
        //     let titleLists = []
        //     let result = res.data.result[0].config_value.split(',');
        //     for(let i = 0 ; i < result.length; i++){
        //         for(let k = 0; k < titleList.menuList.length; k ++){
        //             if(result[i] == titleList.menuList[0][k].id){
        //                 titleLists.push(titleList.menuList[0][k])
        //             }
        //         }
        //         if( i == result.length - 1){
        //             this.setState({
        //                 menuList : titleLists,
        //             })
        //         }
        //     }
           
        // })


    render() {
        const { data , columns , headTxt } = this.state;
        return(
            <div className='wrap_table'>
                <div className='header_center'>
                   { headTxt }
               </div>
               <div className='tables'>
                <Table columns={columns} dataSource={data} />
               </div>
            </div>
        )
    }
}