import React from 'react';
import { Button, Breadcrumb  } from 'antd';
import { $Axios } from '../../common/publish';
import '../Layout/Layout.scss'
import CenterO from '../center-o/centerO.jsx'
import CenterW from '../center-w/centerW.jsx'
import CenterS from '../center-s/centerS.jsx'

export default class Layout extends React.Component {
    constructor(props) {
        super(props)
        this.state = {
            headTxt : '商户入网 > 商户基本信息',
            htmls : 1
        }
        
    }
	
	componentDidMount() {
        
    }

    handleChange(value) {
        console.log(`Selected: ${value}`);
    }
    btnClick(e){
        console.log(e)
        let headTxt = '';
        if(e == 1){
            headTxt = '商户入网 > 商户基本信息'
        }else if(e == 2){
            headTxt = '商户入网 > 商户资质信息'
        }else if(e == 3){
            headTxt = '商户入网 > 结算信息'
        }
        this.setState({	
            htmls : e,
            headTxt : headTxt
        })
    }

        // let params = {
        //     token : localStorage.getItem('token'),
        //     config_code : 'titleList',
        //     system_code : "COMBINE",
        // }
        // $Axios('post','http://user_api.airqualitychina.cn:7070/auth/getConfigList',params,(res) => {
        //     let titleLists = []
        //     let result = res.data.result[0].config_value.split(',');
        //     for(let i = 0 ; i < result.length; i++){
        //         for(let k = 0; k < titleList.menuList.length; k ++){
        //             if(result[i] == titleList.menuList[0][k].id){
        //                 titleLists.push(titleList.menuList[0][k])
        //             }
        //         }
        //         if( i == result.length - 1){
        //             this.setState({
        //                 menuList : titleLists,
        //             })
        //         }
        //     }
           
        // })


    render() {
        const { headTxt, htmls } = this.state;
        return(
            <div className='rootDom'>
               <div className='header_center'>
                   { headTxt }
               </div>
               <div className='main_center'>
                    <div className='center_ups'>
                        {htmls === 1 && (<CenterO></CenterO>)}
                        {htmls === 2 && (<CenterW></CenterW>)}
                        {htmls === 3 && (<CenterS></CenterS>)}
                    </div>
                    <div className='center_bottom'>
                            {htmls === 1 && <Button className='btn btn_next' type="primary" onClick={() =>this.btnClick(2)} >下一步</Button>}
                            {htmls === 2 && <Button className='btn btn_xg' onClick={() =>this.btnClick(1)} >上一步</Button>}
                            {htmls === 2 && <Button className='btn btn_next' type="primary" onClick={() =>this.btnClick(3)} >下一步</Button>}
                            {htmls === 3 && <Button className='btn btn_xg' onClick={() =>this.btnClick(2)} >上一步</Button>}
                            {htmls === 3 && <Button className='btn btn_next' type="primary" onClick={() =>this.btnClick('ok')} >提交</Button>}
                    </div>
               </div>
            </div>
        )
    }
}